var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { Path, Svg } from 'react-native-svg';
const Checked = (props) => {
    return (React.createElement(Svg, { width: props.width, height: props.height, style: props.style, viewBox: '0 0 24 24' },
        React.createElement(Path, { d: 'M12 7c-2.76 0-5 2.24-5 5s2.24 5 5 5 5-2.24 5-5-2.24-5-5-5zm0-5C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8z', fill: props.color })));
};
const Unchecked = (props) => {
    return (React.createElement(Svg, { width: props.width, height: props.height, style: props.style, viewBox: '0 0 24 24' },
        React.createElement(Path, { d: 'M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8z', fill: props.color })));
};
export const Radio = (props) => {
    const { checked } = props, others = __rest(props, ["checked"]);
    return checked ? React.createElement(Checked, Object.assign({}, others)) : React.createElement(Unchecked, Object.assign({}, others));
};
