/// <reference types="react" />
import { ModalProps as RCTModalProps } from 'react-native';
import { NestableProps } from '../Common/React';
import { ThemableProps } from '../Common/Theme';
export interface ModalProps extends RCTModalProps, NestableProps, ThemableProps {
    onBackgroundPress?: () => void;
}
export declare const Modal: (props: ModalProps) => JSX.Element;
